Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
[Java] Class ClosureSourceBinding

    java.lang.Object
      org.codehaus.groovy.binding.ClosureSourceBinding

All Implemented Interfaces:
  SourceBinding

    public class ClosureSourceBinding
    extends Object

Authors:
  Danno Ferrin

Version:
  \$Revision: 7802 \$

Since:
  Groovy 1.1

Constructor Summary
`ClosureSourceBinding(Closure closure)`
`ClosureSourceBinding(Closure closure, Object[] arguments)`

Method Summary
`Closure` | `getClosure()`
`Object` | `getSourceValue()`
`void` | `setClosure(Closure closure)`
`void` | `setClosureArgument(Object argument)`
`void` | `setClosureArguments(Object[] arguments)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ClosureSourceBinding

    public ClosureSourceBinding(Closure closure)

### ClosureSourceBinding

    public ClosureSourceBinding(Closure closure, Object[] arguments)

Method Detail

### getClosure

    public Closure getClosure()

### getSourceValue

    public Object getSourceValue()

### setClosure

    public void setClosure(Closure closure)

### setClosureArgument

    public void setClosureArgument(Object argument)

### setClosureArguments

    public void setClosureArguments(Object[] arguments)

Copyright © 2003-2010 The Codehaus. All rights reserved.